# Quick Start

## Connect to the 1Money Network&#x20;

Get started with the 1Money Network using our hosted REST API and WebSocket endpoints.

Full API documentation is available [here](https://developer.1moneynetwork.com/integrations/overview).&#x20;

<table><thead><tr><th width="100">Network</th><th>REST Endpoints</th><th>Websocket</th></tr></thead><tbody><tr><td><strong>Mainnet</strong></td><td>Coming soon.</td><td>Coming soon. </td></tr><tr><td><strong>Testnet</strong></td><td><ul><li><a href="https://api3.testnet.1money.network">https://api.testnet.1money.network</a></li><li><a href="https://api1.testnet.1money.network">https://api1.testnet.1money.network</a></li><li> <a href="https://api2.testnet.1money.network">https://api2.testnet.1money.network</a></li></ul></td><td><ul><li><a href="wss://ws.testnet.1money.network/">wss://ws.testnet.1money.network</a></li><li><a href="wss://ws1.testnet.1money.network/">wss://ws1.testnet.1money.network</a></li><li><a href="wss://ws2.testnet.1money.network/">wss://ws2.testnet.1money.network</a></li></ul></td></tr></tbody></table>

{% hint style="info" %}
Testnet API's are currently rate limited at 300 requests / minute per IP address.
{% endhint %}

## Try APIs directly in your terminal

You can test the following APIs directly from your terminal:

#### Get latest checkpoint number

```sh
curl "https://api.testnet.1money.network/v1/checkpoints/number"
```

Example result:&#x20;

```sh
{
  "number": 58492
}
```

{% hint style="info" %}
**Checkpoints** are a collection of Transactions, where each Transaction can contain a set of Instructions (with Transfers being the most common) . More about Checkpoints [here](https://developer.1moneynetwork.com/core-concepts/the-1money-protocol#forming-a-checkpoint).
{% endhint %}

#### Get checkpoint by number

```sh
curl "https://api.testnet.1money.network/v1/checkpoints/by_number?number=10&full=false"
```

Example result:

```sh
{
  "hash": "0x3c4d157a827cbaef144349e9a0b6ba39764e2d616fe85d669ac3bf2cf29ee312",
  "parent_hash": "0x26bbcdd24ace954d2d4656711a529626f2f413d18e64450d173050b5aed1d0e6",
  "state_root": "0x0000000000000000000000000000000000000000000000000000000000000000",
  "transactions_root": "0x05d425899eaaed512e384adc5009526eb3f885e09e9c254dbf2684c42e54e701",
  "receipts_root": "0x0000000000000000000000000000000000000000000000000000000000000000",
  "number": 10,
  "timestamp": 1744390026,
  "extra_data": "",
  "transactions": [
    "0x0916abb8fe15985516629a4ed7b0f39cbfad0856cd5823a07740f8a3601be4aa",
    "0x072738281067c4427022637b7c6005f8c7b1cb25043aa544f583773566f1fc54",
    "0xe2d5698437ad20523163a17073aa3bc7b2279ffb1beb91674347eec05cfeb639",
    "0xc4e2bfea352f5a070042bd68c54e42e1d80432d7e00f5fb410d6cba8f934b318",
    "0x5676071840c3163108eda8929da6cfe6f8daf451733013586fd766a307a9d7c5",
    "0xd74e869a1b5c1c9133fbf9ffb0e17d37522729bea20b7ec409c3ae1459ff773e",
    "0x8adc3c5a7f831a45cb4300b401f953420fb9d8f16a124d8a07d39aa34162b6c2",
    "0x6e3157a17ffd5bd865b5d5c8b849a55eaf9fd105fa662ffb3035a935f0a7c754",
    "0x732df4b54704af8c371a6ecbaf08e003bfab44c382e2b6fe4a53f6d47c98f94e",
    "0x870773174290d77138c0d0813578f83b2c507e284d99bc8b1b1958431ff83b86"
  ],
  "size": 10
}
```

For more detailed examples and key functional overviews, explore our [User Guides](/user-guides/custodians-and-centralized-exchanges-cexs.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.1moneynetwork.com/quick-start.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
